﻿@using System.Security.Cryptography
@using System.Web.Hosting
@model StarterProjectV2.ViewModels.OwnersAdditionalInfoEditView
@{
    ViewBag.Title = "Nominee Edit";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        .container1 {
            color: white;
            width: 128px;
            height: 128px;
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
    Nominee Edit
}

<div class="card">
    <div class="card-body">
        <h1 class="text-center" style="margin-bottom: 40px;color: indianred">Edit Owner's Nominee Information</h1>
        @using (Html.BeginForm("OwnersNomineeInfoEdit", "AdditionalInformation", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
        {
            <form>
                <div class="all-nominees">
                    @for (var i = 0; i < Model.OwnersNomineeList.Count; i++)
                    {
                        <div class="mb-5">
                            @*<h3 class="mb-3" align="center" style="color: green">Nominee @(i + 1)</h3>*@
                            <div class="row">
                                <div class="col">
                                    <label for="ONNomineeName">Nominee's Name</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeName, new { @class = "form-control", placeholder = "Nominee Name", type = "text", name = "ONNomineeName", @id = "ONNomineeName", @required = "required" })
                                </div>
                                <div class="col">
                                    <label for="ONNomineeDOB">Nominee's Date of Birth</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeDOB, new { @class = "form-control", type = "date", name = "ONNomineeDOB", @id = "ONNomineeDOB" })
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <label for="ONNomineeEmail">Nominee's Email</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeEmail, new { @class = "form-control", placeholder = "Nominee Email", type = "text", name = "ONNomineeEmail", @id = "ONNomineeEmail" })
                                </div>
                                <div class="col">
                                    <label for="NomineeDOB">Nominee's Mobile No</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeMobile, new { @class = "form-control", type = "text", name = "ONNomineeMobile", @id = "ONNomineeMobile" })
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <label for="ONNomineePermanentAddress">Nominee's Permanent Address</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineePermanentAddress, new { @class = "form-control", placeholder = "Nominee Permanent Address", type = "text", name = "ONNomineePermanentAddress", @id = "ONNomineePermanentAddress" })
                                </div>
                                <div class="col">
                                    <label for="ONNomineePresentAddress">Nominee's Present Address</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineePresentAddress, new { @class = "form-control", placeholder = "Nominee Present Address", type = "text", name = "ONNomineePresentAddress", @id = "ONNomineePresentAddress" })
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <label for="ONNomineeNID">Nominee's NID</label>
                                    @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeNID, new { @class = "form-control", placeholder = "Nominee NID", type = "text", name = "ONNomineeNID", @id = "ONNomineeNID" })
                                </div>
                            </div>
                            <div class="mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Nominee @(i + 1)</label>
                                <div class="container1">
                                    @{
                                        var time99 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    <img id="nominee-pic_@i" class="" src="@Url.Content(Model.OwnersNomineeList[i].NomineePicture + time99)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    <input class="nom_@i" id="ONNomineePicture_@i" name="@i" type="file" />
                                </div>
                            </div>
                            <div class="mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Nominee @(i + 1)'s NID</label>
                                <div class="container1">
                                    @{
                                        var time98 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    <img id="nominee-nid-pic_@i" class="" src="@Url.Content(Model.OwnersNomineeList[i].NomineeNIDPath + time98)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    <input class="nom_nid_@i" id="ONNomineeNIDPath_@i" name="@i" type="file" />
                                </div>
                            </div>

                            @Html.HiddenFor(m => m.OwnersNomineeList[i].OwnersNomineeId)
                            @Html.HiddenFor(m => m.OwnersNomineeList[0].OwnerId)
                        </div>
                    }

                </div>
                <div class="row">
                    <button type="submit" class="btn btn-primary m-1" onclick="NomineeFullSubmit()">Submit</button>
                    @*<button type="button" class="btn btn-danger m-1">Reset</button>*@
                    <button type="button" class="btn btn-success m-1 but2">Add Nominee</button>
                    <button type="button" class="btn btn-warning m-1 but2" onclick="goBack()">Back</button>
                    <button type="button" class="btn btn-info m-1 but2" onclick="gotoAttachment()">Skip</button>
                </div>
            </form>
        }

    </div>
</div>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/FamilyEdit?OwnerId=" + '@Model.OwnersNomineeList[0].OwnerId';
    }
</script>
<script>
    function gotoAttachment() {
        window.location.href = "/AdditionalInformation/AttachmentEdit?OwnerId=" + '@Model.OwnersNomineeList[0].OwnerId';
    }
</script>

<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersNomineeList.Count;
        //alert(childNameListCnt);
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="nom_' + i + '"]').addEventListener('change', function () {
                //alert('hey');
                //alert(input.id);
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    //alert(this.name);
                    //alert('#child-pic_' + i);
                    //alert($('#child-pic_' + idx)[0]);
                    var Id = 'nominee-pic_' + idx;
                    //alert(document.getElementById(Id));
                    var img = $('#nominee-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }

    });
</script>
<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersNomineeList.Count;
        //alert(childNameListCnt);
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="nom_nid_' + i + '"]').addEventListener('change', function () {
                //alert('hey');
                //alert(input.id);
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    //alert(this.name);
                    //alert('#child-pic_' + i);
                    //alert($('#child-pic_' + idx)[0]);
                    var Id = 'nominee-nid-pic_' + idx;
                    //alert(document.getElementById(Id));
                    var img = $('#nominee-nid-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }

    });
</script>

<script>
    //var idx = 1;
    var nomineeNo = @Model.OwnersNomineeList.Count;
    var addNominee = function () {
        //idx = idx + 1;
        $('.all-nominees').append('' +
            '<div class="identifier' + nomineeNo + ' mb-5">' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeName" name="NomineeName" id="ONNomineeName">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>' +
            '<div class="col">' +
            '<input type="date" class="form-control" placeholder="Nominee Date of Birth" id="ONNomineeDOB">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeEmail" name="NomineeEmail" id="ONNomineeEmail">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-4">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>' +
            '<div class="col-sm-3 col-lg-4 col-md-3 col-form">' +
            '<input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID">' +
            '</div>' +
            '</div>' +

            //'<div class="row mb-2">' +
            //'<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee Picture</label>' +
            //'<div class="col-sm-3 col-lg-2 col-md-3">' +
            //'<input type="file" class="custom-file-input nom_' + idx +'" id="ONNomineePicture" name="file" />' +
            //'<label class="custom-file-label" for="upload-file-NomineePicture" id="upload-file-NomineePicture-label">Choose file</label>' +
            //'</div>' +
            //'</div>' +
            '<div class="col">' +
            '<img id="nominee-pic_' + nomineeNo + '" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">' +
            '<input class="nom_' + nomineeNo + '" id="ONNomineePicture_' + nomineeNo + '" name="' + nomineeNo + '" type="file" />' +
            '</div>' +

            '<div class="col">' +
            '<img id="nominee-nid-pic_' + nomineeNo + '" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">' +
            '<input class="nom_nid_' + nomineeNo + '" id="ONNomineeNIDPath_' + nomineeNo + '" name="' + nomineeNo + '" type="file" />' +
            '</div>' +


            '<button type="button" class="btn btn-danger deleteNominee" onclick="deleteNominee(' + nomineeNo + ')" value="identifier' +
            nomineeNo + '">Delete Nominee</button></div>');

        document.querySelector('input[class="nom_' + nomineeNo + '"]').addEventListener('change', function () {
            //alert('hey');
            //alert(input.id);
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert(this.name);
                //alert('#child-pic_' + i);
                //alert($('#nominee-pic_' + idx)[0]);
                var Id = 'nominee-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#nominee-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        document.querySelector('input[class="nom_nid_' + nomineeNo + '"]').addEventListener('change', function () {
            //alert('hey');
            //alert(input.id);
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert(this.name);
                //alert('#child-pic_' + i);
                //alert($('#nominee-nid-pic_' + idx)[0]);
                var Id = 'nominee-nid-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#nominee-nid-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        nomineeNo = nomineeNo + 1;
    }
    $('.but2').click(addNominee);
</script>




<script>

    function deleteNominee(idx) {
        var divname = 'identifier' + idx;
        $('.' + divname).remove();
        nomineeNo--;
    }
</script>

<script>
    var child = 0;
    function NomineePictureUpload() {
        for (var childUploadNo = 0; childUploadNo < nomineeNo; childUploadNo++) {
            var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
            var formData = new FormData();
            var totalFiles = document.getElementById("ONNomineePicture_" + childUploadNo).files.length;
            // alert("ChildPicture_" + child);
            // alert("total files: " + totalFiles);
            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ONNomineePicture_" + childUploadNo).files[i];

                //alert(file.name);
                var fileName = "ON_Pic_" + childUploadNo + "_" + ownerId + ".jpg";
                formData.append("NomineePicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../AdditionalInformation/UploadNomineeEdit/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>
<script>
    var child = 0;
    function NomineeNIDPictureUpload() {
        //for (var child = 0; child < childNo - 1; child++) {
        //alert(childNo);
        //var nomineeNo = @Model.OwnersNomineeList.Count;
        for (var childUploadNo = 0; childUploadNo < nomineeNo; childUploadNo++) {
            var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
            var formData = new FormData();
            var totalFiles = document.getElementById("ONNomineeNIDPath_" + childUploadNo).files.length;

            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ONNomineeNIDPath_" + childUploadNo).files[i];
                //file.name = "CPic_" + child + "_" + ownerId + ".jpg";
                //alert(file.name);
                var fileName = "ON_NIDPic_" + childUploadNo + "_" + ownerId + ".jpg";
                //formData.append("ChildPicture", file , "HELLO.jpg");
                formData.append("NomineeNIDPicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../AdditionalInformation/UploadNomineeEdit/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>
<script>
    function retrieveNominee() {
        //alert("inside etreive nominee");
        var ONNomineeNameList = $('input[id="ONNomineeName"]').map(function () {
            return this.value;
        }).get();

        //alert(ONNomineeNameList);

        var ONNomineeDOBList = $('input[id="ONNomineeDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeDOBList);

        var ONNomineeEmailList = $('input[id="ONNomineeEmail"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeEmailList);


        var ONNomineePictureList = $('input[id="ONNomineePicture"]').map(function () {
            return this.value;
        }).get();
        //alert("owner nominee picture list"+ONNomineePictureList);


        var ONNomineeMobileList = $('input[id="ONNomineeMobile"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeMobileList);


        var ONNomineeNIDList = $('input[id="ONNomineeNID"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeNIDList);


        var ONNomineePermanentAddressList = $('input[id="ONNomineePermanentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePermanentAddressList);


        var ONNomineePresentAddressList = $('input[id="ONNomineePresentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePresentAddressList);




        var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
        //alert(ownerId);

        var myModel = {
            //SpouseName: $('#spouseName').val(),
            OwnerId: ownerId,

            OwnerNomineeNameArray: ONNomineeNameList,
            OwnerNomineeMobileArray: ONNomineeMobileList,
            OwnerNomineeEmailArray: ONNomineeEmailList,
            OwnerNomineeDOBArray: ONNomineeDOBList,

            OwnerNomineePermanentAddressArray: ONNomineePermanentAddressList,
            OwnerNomineePresentAddressArray: ONNomineePresentAddressList,
            OwnerNomineeNIDArray: ONNomineeNIDList,
            OwnerNomineePictureArray: ONNomineePictureList

        };
        $.ajax({
            context: this,
            type: 'post',
            //url: '../OwnersInfo/gettingOwnerNomineeInfo/',
            url: '../AdditionalInformation/gettingOwnerNomineeInfoEdit/',
            //url: '../OwnersInfo/OwnersNomineeInfoAddorEdit/',
            data: myModel,
            success: function (result) {
                //change it to go to attachment edit page
                window.location.href = "/AdditionalInformation/AttachmentEdit?OwnerId=" + ownerId;
            },
            error: function () {
                //error();
            }
        });
    }
</script>
<script>

    function NomineeFullSubmit() {

        retrieveNominee();
        //alert("inside full submit nominee 1");
        NomineePictureUpload();
        //alert("inside full submit nominee 2");
        NomineeNIDPictureUpload();
        //alert("inside full submit nominee 4");
    }

</script>